## spkg-1.6.0-rc5.tar

=== Makefile ===
build:
	gcc src/*.c src/*.h src/vars/*.h src/led1/*.c src/led1/*.h src/led0/*.c src/led0/*.h src/leds/*.c src/leds/*.h -o build/recontrolled

clean: 
	rm build/recontrolled

run:
	$(build)
	@./build/recontrolled

install: 
	sudo rm -f /usr/bin/recontrolled
	$(clean)
	$(build)
	sudo cp build/recontrolled /usr/bin/recontrolled

=== cpufetch/PKGBUILD ===
#!/bin/bash

name=cpufetch
ver=git
arch=all
dep_apt="clang build-essential gcc g++ make libncurses-dev tar"
dep_apk="clang gcc g++ make ncurses-dev tar"

Reset='\033[0m'
Bold="\e[1m"
Green='\033[0;32m'

if ! [ -f "/usr/bin/apt" ] && ! [ -f "/sbin/apk" ]; then
    echo "This build script cannot be executed on your system. Sorry"
    exit
fi

[[ -f "/usr/bin/apt" ]] && pkg_mgr="apt"
[[ -f "/sbin/apk" ]] && pkg_mgr="apk"

if (( $(id -u) != 0 )); then
    echo "This package script can only be run with root (permisson denied)"
    exit
fi

get_dependencies() {
    [[ "${pkg_mgr}" == "apt" ]] && cmd="apt install -y $dep_apt"
    [[ "${pkg_mgr}" == "apk" ]] && cmd="apk add $dep_apk"

    $cmd &> /dev/null
}

extract() {
    cd /tmp/ || exit
    mv cpufetch*.tar.gz /tmp/target.tar.gz
    mkdir /tmp/target

    tar xf /tmp/target.tar.gz --directory /tmp/target/
    cd /tmp/target/cpufetch* || exit
}

compile() {
    make
}

inst() {
    echo -e "${Green}>>>${Reset}${Bold} Installing dependencies ... "
    get_dependencies

    echo -e "${Green}>>>${Reset}${Bold} Extracting sources ... "
    extract

    echo -e "${Green}>>>${Reset}${Bold} Compiling ... "
    compile

    echo -e "${Green}>>>${Reset}${Bold} Installing cpufetch ... "
    cp /tmp/target/cpufetch*/cpufetch /usr/bin/
}

upgrade() {
    echo -e "${Green}>>>${Reset}${Bold} Extracting sources ... "
    extract

    echo -e "${Green}>>>${Reset}${Bold} Compiling ... "
    compile

    echo -e "${Green}>>>${Reset}${Bold} Installing cpufetch ... "
    cp /tmp/target/cpufetch*/cpufetch /usr/bin/
}

remove() {
    echo -e "${Green}>>>${Reset}${Bold} Removing cpufetch ... "
    rm -f /usr/bin/cpufetch
    read -rep $'\033[0;33m>>>\033[0m\e[1m Remove dependencies? [Y/N] ' ans

    if [[ "${ans}" != "y" ]] && [[ "${ans}" != "Y" ]] && [[ "${ans}" != "j" ]] && [[ "${ans}" != "j" ]]; then
        exit
    else 
        [[ "${pkg_mgr}" == "apt" ]] && cmd="apt remove -y $dep_apt"
        [[ "${pkg_mgr}" == "apk" ]] && cmd="apk remove $dep_apk"

        $cmd &> /dev/null
    fi
}

clean_tmp() {
    echo -e "${Green}>>>${Reset}${Bold} Cleaning temporary files ... "
    rm -rf /tmp/target*
    rm -f /tmp/PKGBUILD
}

if [ "$1" = "--install" ]; then
    inst
    clean_tmp

elif [ "$1" = "--upgrade" ]; then
    upgrade
    clean_tmp

elif [ "$1" = "--remove" ]; then
    remove
    clean_tmp
fi

=== gba-driver/PKGBUILD ===
#!/bin/bash

name=gba-driver
ver=1.0.0
arch=all

Reset='\033[0m'
Bold="\e[1m"
Green='\033[0;32m'


if (( $(id -u) != 0 )); then
    echo "This package script can only be run with root (permisson denied)"
    exit
fi


extract() {
    cd /tmp || exit
    mv gba*.tar target.tar
    mkdir /tmp/target/
    tar xf /tmp/target.tar --directory /tmp/target/
    cd /tmp/target || exit
    cp /tmp/target/gba.png /etc/spkg/gba.png
}

inst() {
    echo -e "${Green}>>>${Reset}${Bold} Extracting sources ... "
    extract

    echo -e "${Green}>>>${Reset}${Bold} Installing drivers/gba-driver ... "
    echo -e "${Bold} hello your computa has virus"
}

upgrade() {
    echo -e "${Green}>>>${Reset}${Bold} Extracting sources ... "
    extract

    echo -e "${Green}>>>${Reset}${Bold} Installing drivers/gba-driver ... "
    echo -e "${Bold} hello your computa has virus"
}

remove() {
    echo -e "${Green}>>>${Reset}${Bold} Sure? ... "
}

clean_tmp() {
    echo -e "${Green}>>>${Reset}${Bold} Cleaning temporary files ... "
    rm -rf /tmp/target*
    rm -f /tmp/PKGBUILD
}

if [ "$1" = "--install" ]; then
    inst
    clean_tmp

elif [ "$1" = "--upgrade" ]; then
    upgrade
    clean_tmp

elif [ "$1" = "--remove" ]; then
    remove
    clean_tmp
fi

=== intellij-idea-community/PKGBUILD ===
#!/bin/bash

name=intellij-idea-community
ver=2023.1.2
arch=amd64,arm64

Reset='\033[0m'
Bold="\e[1m"
Green='\033[0;32m'

if (( $(id -u) != 0 )); then
    echo "This package script can only be run with root (permisson denied)"
    exit
fi

extract() {
    cd /tmp || exit
    mv idea*.tar.gz /tmp/target.tar.gz
    mkdir /tmp/target
    tar xf /tmp/target.tar.gz --directory /tmp/target/
    cd /tmp/target/ || exit
}

inst() {
    echo -e "${Green}>>>${Reset}${Bold} Extracting sources ... "
    extract

    echo -e "${Green}>>>${Reset}${Bold} Installing intellij-idea-community ... "
    cp -r /tmp/target/idea* /opt/
    bash /opt/idea*/bin/idea.sh
}

upgrade() {
    echo -e "${Green}>>>${Reset}${Bold} Extracting sources ... "
    extract

    echo -e "${Green}>>>${Reset}${Bold} Removing old versions of intellij-idea-community ... "
    rm -r /opt/idea*

    echo -e "${Green}>>>${Reset}${Bold} Installing intellij-idea-community ... "
    cp -r /tmp/target/idea* /opt/
    bash /opt/idea*/bin/idea.sh
}

remove() {
    echo -e "${Green}>>>${Reset}${Bold} Removing intellij-idea-community ... "
    rm -r /opt/idea*
}

clean_tmp() {
    echo -e "${Green}>>>${Reset}${Bold} Cleaning temporary files ... "
    rm -rf /tmp/target*
    rm -f /tmp/PKGBUILD
}

if [ "$1" = "--install" ]; then
    inst
    clean_tmp

elif [ "$1" = "--upgrade" ]; then
    upgrade
    clean_tmp

elif [ "$1" = "--remove" ]; then
    remove
    clean_tmp
fi

=== python3.10/PKGBUILD ===
#!/bin/bash

name=python
ver=3.10
arch=all
dep_apt="wget build-essential libncursesw5-dev libssl-dev libsqlite3-dev tk-dev libgdbm-dev libc6-dev libbz2-dev libffi-dev zlib1g-dev make tar"
dep_apk="wget gcc g++ ncurses-dev libressl-dev openssl-dev sqlite-dev tk-dev gdbm-dev libc-dev libbz2 libffi-dev zlib-dev automake autoconf make tar"

Reset='\033[0m'
Bold="\e[1m"
Green='\033[0;32m'

if ! [ -f "/usr/bin/apt" ] && ! [ -f "/sbin/apk" ]; then
    echo "This build script cannot be executed on your system. Sorry"
    exit
fi

[[ -f "/usr/bin/apt" ]] && pkg_mgr="apt"
[[ -f "/sbin/apk" ]] && pkg_mgr="apk"

if (( $(id -u) != 0 )); then
    echo "This package script can only be run with root (permisson denied)"
    exit
fi

get_dependencies() {
    [[ "${pkg_mgr}" == "apt" ]] && cmd="apt install -y $dep_apt"
    [[ "${pkg_mgr}" == "apk" ]] && cmd="apk add $dep_apk"

    $cmd &> /dev/null
}

extract() {
    cd /tmp/ || exit
    mv Python*.tgz /tmp/target.tgz
    mkdir /tmp/target

    tar xf /tmp/target.tgz --directory /tmp/target/
    cd /tmp/target/Python* || exit
}

configure() {
    sleep 0.5
    ./configure --enable-optimizations
}

compile() {
    make -j $(nproc)
}

inst() {
    echo -e "${Green}>>>${Reset}${Bold} Installing dependencies ... "
    get_dependencies

    echo -e "${Green}>>>${Reset}${Bold} Extracting sources ... "
    extract

    echo -e "${Green}>>>${Reset}${Bold} Configuring ... "
    configure

    echo -e "${Green}>>>${Reset}${Bold} Compiling ... "
    compile

    echo -e "${Green}>>>${Reset}${Bold} Installing python3.10 ... "
    make altinstall
    ln -s /usr/local/bin/python3.10 /usr/local/bin/python
}

upgrade() {
    echo -e "${Green}>>>${Reset}${Bold} Extracting sources ... "
    extract

    echo -e "${Green}>>>${Reset}${Bold} Configuring ... "
    configure

    echo -e "${Green}>>>${Reset}${Bold} Compiling ... "
    compile

    echo -e "${Green}>>>${Reset}${Bold} Installing python3.10 ... "
    make altinstall
    ln -s /usr/local/bin/python3.10 /usr/local/bin/python
}

remove() {
    echo -e "${Green}>>>${Reset}${Bold} Removing python3.10 ... "
    rm -rf /usr/local/bin/python3.10
    rm -rf /usr/local/lib/python3.10
    rm -rf /usr/lib/python3.10/
    read -rep $'\033[0;33m>>>\033[0m\e[1m Remove dependencies? [Y/N] ' ans

    if [[ "${ans}" != "y" ]] && [[ "${ans}" != "Y" ]] && [[ "${ans}" != "j" ]] && [[ "${ans}" != "j" ]]; then
        exit
    else 
        [[ "${pkg_mgr}" == "apt" ]] && cmd="apt remove -y $dep_apt"
        [[ "${pkg_mgr}" == "apk" ]] && cmd="apk remove $dep_apk"

        $cmd &> /dev/null
    fi
}

clean_tmp() {
    echo -e "${Green}>>>${Reset}${Bold} Cleaning temporary files ... "
    rm -rf /tmp/target*
    rm -f /tmp/PKGBUILD
}

if [ "$1" = "--install" ]; then
    inst
    clean_tmp

elif [ "$1" = "--upgrade" ]; then
    upgrade
    clean_tmp

elif [ "$1" = "--remove" ]; then
    remove
    clean_tmp
fi

=== python3.12/PKGBUILD ===
#!/bin/bash

name=python
ver=3.12
arch=all
dep_apt="wget build-essential libncursesw5-dev libssl-dev libsqlite3-dev tk-dev libgdbm-dev libc6-dev libbz2-dev libffi-dev zlib1g-dev make tar"
dep_apk="wget gcc g++ ncurses-dev libressl-dev openssl-dev sqlite-dev tk-dev gdbm-dev libc-dev libbz2 libffi-dev zlib-dev automake autoconf make tar"

Reset='\033[0m'
Bold="\e[1m"
Green='\033[0;32m'

if ! [ -f "/usr/bin/apt" ] && ! [ -f "/sbin/apk" ]; then
    echo "This build script cannot be executed on your system. Sorry"
    exit
fi

[[ -f "/usr/bin/apt" ]] && pkg_mgr="apt"
[[ -f "/sbin/apk" ]] && pkg_mgr="apk"

if (( $(id -u) != 0 )); then
    echo "This package script can only be run with root (permisson denied)"
    exit
fi

get_dependencies() {
    [[ "${pkg_mgr}" == "apt" ]] && cmd="apt install -y $dep_apt"
    [[ "${pkg_mgr}" == "apk" ]] && cmd="apk add $dep_apk"

    $cmd &> /dev/null
}

extract() {
    cd /tmp/ || exit
    mv Python*.tgz /tmp/target.tgz
    mkdir /tmp/target

    tar xf /tmp/target.tgz --directory /tmp/target/
    cd /tmp/target/Python* || exit
}

configure() {
    sleep 0.5
    ./configure --enable-optimizations
}

compile() {
    make -j $(nproc)
}

inst() {
    echo -e "${Green}>>>${Reset}${Bold} Installing dependencies ... "
    get_dependencies

    echo -e "${Green}>>>${Reset}${Bold} Extracting sources ... "
    extract

    echo -e "${Green}>>>${Reset}${Bold} Configuring ... "
    configure

    echo -e "${Green}>>>${Reset}${Bold} Compiling ... "
    compile

    echo -e "${Green}>>>${Reset}${Bold} Installing python3.12 ... "
    make altinstall
    ln -s /usr/local/bin/python3.12 /usr/local/bin/python
}

upgrade() {
    echo -e "${Green}>>>${Reset}${Bold} Extracting sources ... "
    extract

    echo -e "${Green}>>>${Reset}${Bold} Configuring ... "
    configure

    echo -e "${Green}>>>${Reset}${Bold} Compiling ... "
    compile

    echo -e "${Green}>>>${Reset}${Bold} Installing python3.12 ... "
    make altinstall
    ln -s /usr/local/bin/python3.12 /usr/local/bin/python
}

remove() {
    echo -e "${Green}>>>${Reset}${Bold} Removing python3.12 ... "
    rm -rf /usr/local/bin/python3.12
    rm -rf /usr/local/lib/python3.12
    rm -rf /usr/lib/python3.12/
    read -rep $'\033[0;33m>>>\033[0m\e[1m Remove dependencies? [Y/N] ' ans

    if [[ "${ans}" != "y" ]] && [[ "${ans}" != "Y" ]] && [[ "${ans}" != "j" ]] && [[ "${ans}" != "j" ]]; then
        exit
    else 
        [[ "${pkg_mgr}" == "apt" ]] && cmd="apt remove -y $dep_apt"
        [[ "${pkg_mgr}" == "apk" ]] && cmd="apk remove $dep_apk"

        $cmd &> /dev/null
    fi
}

clean_tmp() {
    echo -e "${Green}>>>${Reset}${Bold} Cleaning temporary files ... "
    rm -rf /tmp/target*
    rm -f /tmp/PKGBUILD
}

if [ "$1" = "--install" ]; then
    inst
    clean_tmp

elif [ "$1" = "--upgrade" ]; then
    upgrade
    clean_tmp

elif [ "$1" = "--remove" ]; then
    remove
    clean_tmp
fi

=== recontrolled/PKGBUILD ===
#!/bin/bash

name=recontrolled
ver=1.0.0
arch=arm64
dep_apt="build-essential gcc g++ make libncurses-dev tar"
dep_apk="gcc g++ make ncurses-dev tar"

Reset='\033[0m'
Bold="\e[1m"
Green='\033[0;32m'

if ! [ -f "/usr/bin/apt" ] && ! [ -f "/sbin/apk" ]; then
    echo "This build script cannot be executed on your system. Sorry"
    exit
fi

[[ -f "/usr/bin/apt" ]] && pkg_mgr="apt"
[[ -f "/sbin/apk" ]] && pkg_mgr="apk"

if (( $(id -u) != 0 )); then
    echo "This package script can only be run with root (permisson denied)"
    exit
fi

get_dependencies() {
    [[ "${pkg_mgr}" == "apt" ]] && cmd="apt install -y $dep_apt"
    [[ "${pkg_mgr}" == "apk" ]] && cmd="apk add $dep_apk"

    $cmd &> /dev/null
}

extract() {
    cd /tmp/ || exit
    mv recontrolled*.tar /tmp/target.tar
    mkdir /tmp/target

    tar xf /tmp/target.tar --directory /tmp/target/
    cd /tmp/target/ || exit
    mkdir build
}

compile() {
    make -B build
}

inst() {
    echo -e "${Green}>>>${Reset}${Bold} Installing dependencies ... "
    get_dependencies

    echo -e "${Green}>>>${Reset}${Bold} Extracting sources ... "
    extract

    echo -e "${Green}>>>${Reset}${Bold} Compiling ... "
    compile

    echo -e "${Green}>>>${Reset}${Bold} Installing recontrolled ... "
    cp /tmp/target/build/recontrolled /usr/bin/
}

upgrade() {
    echo -e "${Green}>>>${Reset}${Bold} Extracting sources ... "
    extract

    echo -e "${Green}>>>${Reset}${Bold} Compiling ... "
    compile

    echo -e "${Green}>>>${Reset}${Bold} Installing recontrolled ... "
    cp /tmp/target/build/recontrolled /usr/bin/
}

remove() {
    echo -e "${Green}>>>${Reset}${Bold} Removing recontrolled ... "
    rm -f /usr/bin/cpufetch
    read -rep $'\033[0;33m>>>\033[0m\e[1m Remove dependencies? [Y/N] ' ans

    if [[ "${ans}" != "y" ]] && [[ "${ans}" != "Y" ]] && [[ "${ans}" != "j" ]] && [[ "${ans}" != "j" ]]; then
        exit
    else 
        [[ "${pkg_mgr}" == "apt" ]] && cmd="apt remove -y $dep_apt"
        [[ "${pkg_mgr}" == "apk" ]] && cmd="apk remove $dep_apk"

        $cmd &> /dev/null
    fi
}

clean_tmp() {
    echo -e "${Green}>>>${Reset}${Bold} Cleaning temporary files ... "
    rm -rf /tmp/target*
    rm -f /tmp/PKGBUILD
}

if [ "$1" = "--install" ]; then
    inst
    clean_tmp

elif [ "$1" = "--upgrade" ]; then
    upgrade
    clean_tmp

elif [ "$1" = "--remove" ]; then
    remove
    clean_tmp
fi

=== spkg/PKGBUILD ===
#!/bin/bash

name=spkg
ver=1.5.0
arch=all
dep_apt="python3 python3-dev python3-pip python3-sql python3-urllib3 python3-colorama python3-requests sudo"
dep_apk="python3 py3-pip py3-colorama py3-requests sudo zstd"
dep_pip="colorama halo requests"

Reset='\033[0m'
Bold="\e[1m"
Green='\033[0;32m'

if ! [ -f "/usr/bin/apt" ] && ! [ -f "/sbin/apk" ]; then
    echo "This package script is official not supported for your system."
    echo "Make sure, you have installed the following dependencies: python3 python3-dev python3-pip python3-sql python3-urllib3 sudo"
fi

[[ -f "/usr/bin/apt" ]] && pkg_mgr="apt"
[[ -f "/sbin/apk" ]] && pkg_mgr="apk"

if (( $(id -u) != 0 )); then
    echo "This package script can only be run with root (permisson denied)"
    exit
fi


get_dependencies() {
    [[ "${pkg_mgr}" == "apt" ]] && cmd="apt install -y $dep_apt"
    [[ "${pkg_mgr}" == "apk" ]] && cmd="apk add bash $dep_apk"

    $cmd &> /dev/null
    sudo -H pip install "$dep_pip" --break-system-packages
    sudo -H pip install "$dep_pip"
}

extract() {
    cd /tmp || exit
    mv spkg*.tar target.tar
    mkdir /tmp/target/
    tar xf /tmp/target.tar --directory /tmp/target/
    cd /tmp/target || exit
}

inst() {
    echo -e "${Green}>>>${Reset}${Bold} Installing dependencies ... "
    get_dependencies

    echo -e "${Green}>>>${Reset}${Bold} Extracting sources ... "
    extract

    echo -e "${Green}>>>${Reset}${Bold} Installing spkg ... "
    rm -f /usr/bin/spkg
    rm -rf /usr/share/spkg/
    cp -r /tmp/target/ /usr/share/spkg/
    cp -r /tmp/target/data/etc/ /

    cd /usr/share/spkg/ || exit
    mv spkg.py spkg

    rm -rf build
    rm -rf data
    rm -rf resources
    rm -rf packages
    rm -f package.db
    rm -f spkg-installer.py
    rm -f requirements.txt
    rm -f rmcache.sh
    rm -f todo.txt

    chmod a+x /usr/share/spkg/spkg
    ln -s /usr/share/spkg/spkg /usr/bin/spkg

    spkg build world
    spkg sync
}

upgrade() {
    echo -e "${Green}>>>${Reset}${Bold} Extracting sources ... "
    extract

    echo -e "${Green}>>>${Reset}${Bold} Installing spkg ... "
    rm -f /usr/bin/spkg
    rm -rf /usr/share/spkg/
    cp -r /tmp/target/ /usr/share/spkg/

    cd /usr/share/spkg/ || exit
    mv spkg.py spkg

    rm -rf build
    rm -rf data
    rm -rf resources
    rm -rf packages
    rm -f package.db
    rm -f spkg-installer.py
    rm -f requirements.txt
    rm -f rmcache.sh
    rm -f todo.txt

    chmod a+x /usr/share/spkg/spkg
    ln -s /usr/share/spkg/spkg /usr/bin/spkg

    spkg sync
}

remove() {
    read -rep $'\033[0;33m>>>\033[0m\e[1m Are you sure? This will remove spkg from your system. [Y/N] ' ans_s
    if [[ "${ans_s}" != "y" ]] && [[ "${ans_s}" != "Y" ]] && [[ "${ans_s}" != "j" ]] && [[ "${ans_s}" != "j" ]]; then
            echo -e "Aborting"
            exit
    fi

    echo -e "${Green}>>>${Reset}${Bold} Removing spkg ... "

    rm -rf /usr/share/spkg
    rm -f /usr/bin/spkg
    rm -rf /etc/spkg/
    rm -f /tmp/PKGBUILD
}

clean_tmp() {
    echo -e "${Green}>>>${Reset}${Bold} Cleaning temporary files ... "
    rm -rf /tmp/target*
    rm -f /tmp/PKGBUILD
}

if [ "$1" = "--install" ]; then
    inst
    clean_tmp

elif [ "$1" = "--upgrade" ]; then
    upgrade
    clean_tmp

elif [ "$1" = "--remove" ]; then
    remove
    clean_tmp
fi

=== tools/PKGBUILD ===
#!/bin/bash

name=groups/tools
ver=1.0
arch=all
dep_apt="clang build-essential libncursesw5-dev autotools-dev autoconf automake gcc g++ make libncurses-dev tar"
dep_apk="ncurses-dev tar automake autoconf clang gcc g++ make ncurses-dev tar"

Reset='\033[0m'
Bold="\e[1m"
Green='\033[0;32m'

if ! [ -f "/usr/bin/apt" ] && ! [ -f "/sbin/apk" ]; then
    echo "This build script cannot be executed on your system. Sorry"
    exit
fi

[[ -f "/usr/bin/apt" ]] && pkg_mgr="apt"
[[ -f "/sbin/apk" ]] && pkg_mgr="apk"

if (( $(id -u) != 0 )); then
    echo "This package script can only be run with root (permisson denied)"
    exit
fi

get_dependencies() {
    [[ "${pkg_mgr}" == "apt" ]] && cmd="apt install -y $dep_apt"
    [[ "${pkg_mgr}" == "apk" ]] && cmd="apk add $dep_apk"

    $cmd &> /dev/null
}

download_sources() {
    curl --output '/tmp/cpufetch.tar.gz' --url 'https://github.com/Dr-Noob/cpufetch/archive/refs/heads/master.tar.gz' 
    curl --output '/tmp/neofetch.tar.gz' --url 'https://sources.juliandev02.ga/packages/main/n//neofetch/neofetch-7.3.8.tar.gz' 
    curl --output '/tmp/htop.tar.gz' --url 'https://github.com/htop-dev/htop/archive/refs/heads/main.tar.gz' 
    mkdir cpufetch
    mkdir neofetch
    mkdir htop
}

extract() {
    tar xf /tmp/cpufetch.tar.gz --directory /tmp/target/cpufetch/
    tar xf /tmp/neofetch.tar.gz --directory /tmp/target/htop/
    tar xf /tmp/htop.tar.gz --directory /tmp/target/htop/
}

compile() {
    echo -e "${Green}>>>${Reset}${Bold} Compiling cpufetch ... "
    cd /tmp/target/cpufetch/cpufetch* || exit
    make
    echo -e "${Green}>>>${Reset}${Bold} Installing cpufetch ... "
    cp /tmp/target/cpufetch/cpufetch*/cpufetch /usr/bin/


    echo -e "${Green}>>>${Reset}${Bold} Compiling htop ... "
    cd /tmp/target/cpufetch/htop* || exit
    ./autogen.sh
    ./configure
    make
    echo -e "${Green}>>>${Reset}${Bold} Installing htop ... "
    make install

    echo -e "${Green}>>>${Reset}${Bold} Compiling neofetch & installing neofetch... "
    install -Dt /usr/bin/ -m 775 /tmp/target/neofetch/hyfetch*/neofetch
}

inst() {
    echo -e "${Green}>>>${Reset}${Bold} Installing dependencies ... "
    get_dependencies

    echo -e "${Green}>>>${Reset}${Bold} Downloading sources ... "
    download_sources

    echo -e "${Green}>>>${Reset}${Bold} Extracting sources ... "
    extract

    echo -e "${Green}>>>${Reset}${Bold} Starting Build Process ... "
    sleep 1
    compile

}

upgrade() {
    echo -e "${Green}>>>${Reset}${Bold} Downloading sources ... "
    download_sources

    echo -e "${Green}>>>${Reset}${Bold} Extracting sources ... "
    extract

    echo -e "${Green}>>>${Reset}${Bold} Starting Build Process ... "
    sleep 1
    compile
}

remove() {
    echo -e "${Green}>>>${Reset}${Bold} Removing cpufetch, htop and neofetch ... "
    rm -f /usr/bin/cpufetch
    rm -f /usr/bin/htop
    rm -f /usr/local/bin/htop
    rm -f /usr/bin/neofetch
    read -rep $'\033[0;33m>>>\033[0m\e[1m Remove dependencies? [Y/N] ' ans

    if [[ "${ans}" != "y" ]] && [[ "${ans}" != "Y" ]] && [[ "${ans}" != "j" ]] && [[ "${ans}" != "j" ]]; then
        exit
    else 
        [[ "${pkg_mgr}" == "apt" ]] && cmd="apt remove -y $dep_apt"
        [[ "${pkg_mgr}" == "apk" ]] && cmd="apk remove $dep_apk"

        $cmd &> /dev/null
    fi
}

clean_tmp() {
    echo -e "${Green}>>>${Reset}${Bold} Cleaning temporary files ... "
    rm -rf /tmp/target*
    rm -f /tmp/PKGBUILD
}

if [ "$1" = "--install" ]; then
    inst
    clean_tmp

elif [ "$1" = "--upgrade" ]; then
    upgrade
    clean_tmp

elif [ "$1" = "--remove" ]; then
    remove
    clean_tmp
fi
